﻿namespace Dto;

public abstract class ContentLessonDTO
{
    public int Id { get; set; }
    public string ContentContent { get; set; }
    public string ContentTitle { get; set; }
    public int LessonId { get; set; }

    protected ContentLessonDTO(int id, string contentContent, string contentTitle, int lessonId)
    {
        Id = id;
        ContentContent = contentContent;
        ContentTitle = contentTitle;
        LessonId = lessonId;
    }

    protected ContentLessonDTO(string contentContent, string contentTitle, int lessonId)
    {
        ContentContent = contentContent;
        ContentTitle = contentTitle;
        LessonId = lessonId;
    }

    protected ContentLessonDTO()
    {
    }
}