﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("Paragraph")]
public class ParagraphEntity : ContentLessonEntity
{
    // ID
    // ContentContent
    // ContentTitle
    // LessonId
    public string Title { get; set; }
    public string Content { get; set; }
    public string Info { get; set; }
    public string Query { get; set; }
    public string Comment { get; set; }

    public ParagraphEntity()
    {
    }

    public ParagraphEntity(int id, string title, string content, string info, string query,
        string comment, int idLesson) : base(id, idLesson, content, title)
    {
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public ParagraphEntity(string title, string content, string info, string query, string comment) : base(content,
        title)
    {
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public object FromEntityToModel()
    {
        throw new NotImplementedException();
    }
}