﻿using System.ComponentModel.DataAnnotations.Schema;

namespace Entities;

[Table("User")]
public class UserEntity
{
    public int Id { get; set; }
    public string Username { get; set; }
    public string Password { get; set; }
    public string Email { get; set; }
    public bool IsAdmin { get; set; }

    public UserEntity()
    {
    }

    public UserEntity(int id)
    {
        Id = id;
    }

    public UserEntity(int id, string username, string password, string email, bool isAdmin)
    {
        Id = id;
        Username = username;
        Password = password;
        Email = email;
        IsAdmin = isAdmin;
    }

    public UserEntity(string username, string password, string email, bool isAdmin)
    {
        Username = username;
        Password = password;
        Email = email;
        IsAdmin = isAdmin;
    }
}