﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Shared
{
    public interface IdataService<TUser, Tlesson, TInquiry, TParagraphe, TSucesss> where TUser : class
    {
        IUserService<TUser> userService { get; }
        IInquiryService<TInquiry> inquiryService { get; }
        ILessonService<Tlesson> lessonService { get; }
        IParagraphService<TParagraphe> paragraphService { get; }
        ISuccessService<TSucesss> successDataService { get; }


    }
}
