﻿namespace Dto;

public class InquiryDTO
{
    public int Id { get;}

    public string Title { get; set; }

    public string Description { get; set; }

    public bool IsUser { get; set; }

    public int Database { get; set; }
    public int InquiryTable { get; set; }

    public InquiryDTO(int id, string title, string description, bool isUser, int database, int inquiryTable)
    {
        Id = id;
        Title = title;
        Description = description;
        IsUser = isUser;
        Database = database;
        InquiryTable = inquiryTable;
    }

    public InquiryDTO(string title, string description, bool isUser, int database, int inquiryTable)
    {
        Title = title;
        Description = description;
        IsUser = isUser;
        Database = database;
        InquiryTable = inquiryTable;
    }
}