﻿namespace Dto;

public class ParagraphDTO : ContentLessonDTO
{
    public string Title { get; set; }
    public string Content { get; set; }
    public string Info { get; set; }
    public string Query { get; set; }
    public string Comment { get; set; }

    public ParagraphDTO(string title, string content, string info, string query, string comment, int lessonId) :
        base(content,
            title, lessonId)
    {
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public ParagraphDTO(int id, string title, string content, string info, string query, string comment, int lessonId) : 
        base(id, content,
            title, lessonId)
    {
        Id = id;
        Title = title;
        Content = content;
        Info = info;
        Query = query;
        Comment = comment;
    }

    public ParagraphDTO() : base()
    {
    }
}