﻿namespace Dto;

public class UserDTO
{
    public int Id { get; set; }
    public string Username { get; set; }
    public string Password { get; set; }
    public string Email { get; set; }
    public bool IsAdmin { get; set; }

    public UserDTO() { }
    public UserDTO(int id, string username, string password, string email, bool isAdmin)
    {
        Id = id;
        Username = username;
        Password = password;
        Email = email;
        IsAdmin = isAdmin;
    }

    public UserDTO(string username, string password, string email, bool isAdmin)
    {
        Username = username;
        Password = password;
        Email = email;
        IsAdmin = isAdmin;
    }

    public override string ToString()
    {
        return $"{Id}\t{Username}\t{Email}\t{IsAdmin}";
    }
}