using Dto;
using Model.OrderCriteria;

namespace Shared;

public interface ISuccessDataService : ISuccessService<SuccessDTO>
{
    public IEnumerable<SuccessDTO> GetSuccesses(int page, int number, SuccessOrderCriteria orderCriteria);
    public SuccessDTO GetSuccessByUserId(int id);
    public SuccessDTO GetSuccessByInquiryId(int id);
    public bool DeleteSuccess(int id);
    public SuccessDTO UpdateSuccess(int id, SuccessDTO success);
    public SuccessDTO CreateSuccess(int userId, int inquiryId, bool isFinished);
}